
# Class: PreviewModel

## Hierarchy

* **PreviewModel**

## Index

### Constructors

* [constructor](previewmodel.md#constructor)

### Properties

* [index](previewmodel.md#index)
* [title](previewmodel.md#title)
* [url](previewmodel.md#url)

## Constructors

###  constructor

\+ **new PreviewModel**(`title`: string, `url`: string, `index`: number): *[PreviewModel](previewmodel.md)*

**Parameters:**

Name | Type |
------ | ------ |
`title` | string |
`url` | string |
`index` | number |

**Returns:** *[PreviewModel](previewmodel.md)*

## Properties

###  index

• **index**: *number*

___

###  title

• **title**: *string*

___

###  url

• **url**: *string*
